rpms/qt3/F-9 qt.csh,1.2,1.3 qt.sh,1.2,1.3 qt3.spec,1.5,1.6

Rex Dieter (rdieter) fedora-extras-commits at redhat.com
Mon Jul 7 19:39:31 UTC 2008


Author: rdieter

Update of /cvs/pkgs/rpms/qt3/F-9
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv3386

Modified Files:
	qt.csh qt.sh qt3.spec 
Log Message:
* Mon Jul 07 2008 Rex Dieter <rdieter at fedoraproject.org> - 3.3.8b-14
- QTDIR isn't set in ppc64 buildroot (#454313)
- /etc/profile.d/qt.sh leaks variable ARCH (#454260)



Index: qt.csh
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/F-9/qt.csh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- qt.csh	23 May 2008 15:59:26 -0000	1.2
+++ qt.csh	7 Jul 2008 19:38:46 -0000	1.3
@@ -6,27 +6,28 @@
 # very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
 # in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
-set ARCH = `uname -m`
-set QTVERSION = 3.3
+if ( $?QTDIR ) then
+   exit
+endif
 
-switch ($ARCH)
+switch (`uname -m`)
    case x86_64:
    case ia64:
    case s390:
-      set QTPREFIX = /usr/lib64/qt-$QTVERSION
+      set QTPREFIXES = "/usr/lib64/qt-3.3 /usr/lib/qt-3.3"
       breaksw
    case *:
-      set QTPREFIX = /usr/lib/qt-$QTVERSION
+      set QTPREFIXES = "/usr/lib/qt-3.3 /usr/lib64/qt-3.3"
 endsw
 
-if ( "${path}" !~ *$QTPREFIX/bin* ) then
-   set path = ( $QTPREFIX/bin $path )
-endif
+foreach QTPREFIX ( $QTPREFIXES )
+  test -d "$QTPREFIX" && setenv QTDIR $QTPREFIX && break
+end
+unset QTPREFIX QTPREFIXES
 
-if ( $?QTDIR ) then
-   exit
+if ( "${path}" !~ *$QTDIR/bin* ) then
+   set path = ( $QTDIR/bin $path )
 endif
 
-setenv QTDIR $QTPREFIX
-setenv QTINC $QTPREFIX/include
-setenv QTLIB $QTPREFIX/lib
+setenv QTINC $QTDIR/include
+setenv QTLIB $QTDIR/lib


Index: qt.sh
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/F-9/qt.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- qt.sh	23 May 2008 15:59:26 -0000	1.2
+++ qt.sh	7 Jul 2008 19:38:46 -0000	1.3
@@ -6,24 +6,27 @@
 # very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
 # in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
-ARCH=$(uname -m)
-QTVERSION=3.3
+if [ -z "${QTDIR}" ]; then
 
-case $ARCH in
+case `uname -m` in
    x86_64 | ia64 | s390 )
-      QT_PREFIX=/usr/lib64/qt-$QTVERSION ;;
+      QT_PREFIXES="/usr/lib64/qt-3.3 /usr/lib/qt-3.3" ;;
    * )
-      QT_PREFIX=/usr/lib/qt-$QTVERSION ;;
+      QT_PREFIXES="/usr/lib/qt-3.3 /usr/lib64/qt-3.3" ;;
 esac
 
-if ! echo ${PATH} | /bin/grep -q $QT_PREFIX/bin ; then
-   PATH=$QT_PREFIX/bin:${PATH}
-fi
+for QTDIR in ${QT_PREFIXES} ; do
+  test -d "${QTDIR}" && break
+done
+unset QT_PREFIXES
 
-if [ -z "$QTDIR" ] ; then
-	QTDIR="$QT_PREFIX"
-	QTINC="$QT_PREFIX/include"
-	QTLIB="$QT_PREFIX/lib"
+if ! echo ${PATH} | /bin/grep -q $QTDIR/bin ; then
+   PATH=$QTDIR/bin:${PATH}
 fi
 
+QTINC="$QTDIR/include"
+QTLIB="$QTDIR/lib"
+
 export QTDIR QTINC QTLIB PATH
+
+fi


Index: qt3.spec
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/F-9/qt3.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- qt3.spec	23 May 2008 15:59:26 -0000	1.5
+++ qt3.spec	7 Jul 2008 19:38:46 -0000	1.6
@@ -1,6 +1,6 @@
 Summary: The shared library for the Qt 3 GUI toolkit
 Version: 3.3.8b
-Release: 13%{?dist}
+Release: 14%{?dist}
 %if 0%{?fedora} > 8
 Name: qt3
 Obsoletes: qt < 1:%{version}-%{release}
@@ -95,7 +95,7 @@
 
 Requires(post): /sbin/ldconfig
 Requires(postun): /sbin/ldconfig
-Requires: fileutils
+Requires: coreutils
 Requires: fontconfig >= 2.0
 Requires: /etc/ld.so.conf.d
 
@@ -643,6 +643,10 @@
 
 
 %changelog
+* Mon Jul 07 2008 Rex Dieter <rdieter at fedoraproject.org> - 3.3.8b-14
+- QTDIR isn't set in ppc64 buildroot (#454313)
+- /etc/profile.d/qt.sh leaks variable ARCH (#454260)
+
 * Fri May 23 2008 Than Ngo <than at redhat.com> -  3.3.8b-13
 - fix rh#448027, qt3's PATH not set properly unless qt3-devel is installed
 




More information about the scm-commits mailing list